#ifndef SwitchPduApi_H
#define SwitchPduApi_H

#include <string>

#include <Command.h>
namespace ProtoGenWrapper
{
	class SwitchPduApi : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SwitchPduApi(const std::string& pduapi);
		SwitchPduApi(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		SwitchPduApi() = delete;

		bool GetValues(std::string& pduapi);

		static int GetCommandType();
	};
}

#endif // SwitchPduApi_H
